请选择 进入手机版 | 继续访问电脑版

forum.gl-inet.cn

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
    楼主: 萝卜大侠

    【01.29更新】怎样快速编译出带glinet页面的固件

      [复制链接]

    3

    主题

    48

    帖子

    363

    积分

    中级会员

    Rank: 3Rank: 3

    积分
    363
    发表于 2022-10-25 07:44:07 | 显示全部楼层
    BUG没修正啊
    回复

    使用道具 举报

    3

    主题

    48

    帖子

    363

    积分

    中级会员

    Rank: 3Rank: 3

    积分
    363
    发表于 2022-10-21 20:03:19 | 显示全部楼层
    本帖最后由 chenchaopeng 于 2022-10-25 07:43 编辑

    更新记录
    2022.10.20 更新私有包到4.1.0版本


    这个之后,做出来的包没有无线中继了,,,,,,,,

    本帖子中包含更多资源

    您需要 登录 才可以下载或查看,没有帐号?立即注册

    x
    回复

    使用道具 举报

    0

    主题

    19

    帖子

    66

    积分

    注册会员

    Rank: 2

    积分
    66
    发表于 2022-10-20 18:16:10 | 显示全部楼层
    感谢分享。
    回复

    使用道具 举报

    0

    主题

    18

    帖子

    56

    积分

    注册会员

    Rank: 2

    积分
    56
    发表于 2022-10-19 17:48:28 | 显示全部楼层
    仔细研究下这个怎么弄
    回复

    使用道具 举报

    0

    主题

    2

    帖子

    16

    积分

    新手上路

    Rank: 1

    积分
    16
    发表于 2022-10-16 15:13:40 来自手机 | 显示全部楼层
    请问一下,就是这款路由器适合买来学习路由器开发吗,刚刚参加工作,从事路由器开发有几个月了。
    回复

    使用道具 举报

    1

    主题

    3

    帖子

    115

    积分

    注册会员

    Rank: 2

    积分
    115
    发表于 2022-9-19 15:24:04 | 显示全部楼层
    請問蘿蔔大俠  gcc版本有差嗎  看github/gl-inet上面的敘述  若gcc版本是10  會報錯是嗎?
    回复

    使用道具 举报

    0

    主题

    2

    帖子

    34

    积分

    新手上路

    Rank: 1

    积分
    34
    发表于 2022-9-19 14:35:44 | 显示全部楼层
    萝卜大侠 发表于 2022-9-19 09:39
    应该是第一步依赖环境没装好,或者是你的编译主机是其他版本?

    x86虚拟机上安装的ubuntu 20.04,是因为没启动32位支持吗,依赖环境拉了几次,应该没有缺失了。
    回复

    使用道具 举报

    65

    主题

    1680

    帖子

    5997

    积分

    管理员

    Rank: 9Rank: 9Rank: 9

    积分
    5997

    官方人员

     楼主| 发表于 2022-9-19 09:39:50 | 显示全部楼层
    xxtuanmst 发表于 2022-9-19 00:11
    按照步骤一步步来,编译的时候总是出错

    make[2] toolchain/compile

    应该是第一步依赖环境没装好,或者是你的编译主机是其他版本?
    回复

    使用道具 举报

    0

    主题

    2

    帖子

    34

    积分

    新手上路

    Rank: 1

    积分
    34
    发表于 2022-9-19 00:11:23 | 显示全部楼层
    本帖最后由 xxtuanmst 于 2022-9-19 00:34 编辑

    按照步骤一步步来,编译的时候总是出错

    make[2] toolchain/compile
    make[3] -C toolchain/gdb compile
    make[3] -C toolchain/fortify-headers compile
    make[3] -C toolchain/binutils compile
    make[3] -C toolchain/gcc/initial compile
        ERROR: toolchain/gcc/initial failed to build.
    make -r world: build failed. Please re-run make with -j1 V=s or V=sc for a higher verbosity level to see what's going on
    make: *** [/home/gl-infra-builder/wlan-ap/openwrt/include/toplevel.mk:230: world] Error 1
    回复

    使用道具 举报

    0

    主题

    12

    帖子

    58

    积分

    注册会员

    Rank: 2

    积分
    58
    发表于 2022-9-15 18:18:38 | 显示全部楼层
    萝卜大侠 发表于 2022-9-15 15:25
    你肯定第一步就报错了,完整操作步骤和log 贴一下

    找到问题了,弄好了,谢谢
    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    Archiver|手机版|小黑屋|gl-inet.cn ( 粤ICP备18130956号 )

    GMT+8, 2023-1-29 20:14 , Processed in 0.019052 second(s), 25 queries .

    Powered by Discuz! X3.4

    Copyright © 2001-2021, Tencent Cloud.

    快速回复 返回顶部 返回列表